<?
use LabBase\Model\Brand;

?>

<style>
    .feedTable {
        width: 100%;
        border-collapse: collapse;
    }
    .feedTable td {
        border: 1px solid #ddd;
        padding: 4px 5px;
    }
    .feedTable thead * {
        background: #ddd;
    }
    .feedTable tr:nth-child(odd) {
        background: #fff;
    }
    .feedTable tr:nth-child(even) {
        background: #eee;
    }
</style>

<div class="node">
    <div class="align-center">
        <div class="form-container fullwidth" style="margin-bottom: 100px;">

            <h1>Brand List</h1>

            <table class="feedTable">
                <thead> <td>ID</td> <td>Name</td> <td>Post count</td> <td>Is Published</td> <td>Owner</td> </thead>
                <? foreach($brands as $brand) { /** @var $brand Brand */?>
                <tr>
                    <td><?= $brand->id ?></td>
                    <td><?= $brand->name ?></td>
                    <td><?= $brand->postCount ?></td>
                    <td><?= $brand->public ? 'Public' : 'Not public' ?></td>
                    <td><?= $brand->owner ? $brand->owner->fullName : 'UNKNOWN' ?></td>
                </tr>
                <? } ?>
            </table>


            <script>
                var resizeFunc = function() {

                };
                $(document).ready(resizeFunc);
                $(window).resize(resizeFunc);
            </script>

        </div>
    </div>
</div>